Bug 1035932 - [postgres provisioning] when locale is non unicode non unicode password may be generate failing java database access
Summary: [postgres provisioning] when locale is non unicode non unicode password may b...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.0
Assignee: Alon Bar-Lev
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: 3.3snap4
TreeView+ depends on / blocked
 
Reported: 2013-11-28 22:13 UTC by Alon Bar-Lev
Modified: 2014-01-21 22:33 UTC (History)
7 users (show)

Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 21852 None None None Never
oVirt gerrit 21856 None None None Never

Description Alon Bar-Lev 2013-11-28 22:13:56 UTC
python string.letters is locale specific, when using non unicode locale it produces string that is unreadable to java.

Comment 1 Jiri Belka 2013-12-10 14:56:22 UTC
ok is26, tested with exported LANG=C before engine-setup.

Comment 2 Alon Bar-Lev 2013-12-10 14:58:35 UTC
(In reply to Jiri Belka from comment #1)
> ok is26, tested with exported LANG=C before engine-setup.

Hi,

LANG=C is expected to work as it has no special characters.

Please use non utf-8 locale with secondary language such as cz to test this.

Thanks,

Comment 3 Jiri Belka 2013-12-10 15:58:26 UTC
yes, retested with cs_CZ.ISO-8895-2, ok.

Comment 4 Itamar Heim 2014-01-21 22:30:11 UTC
Closing - RHEV 3.3 Released

Comment 5 Itamar Heim 2014-01-21 22:30:12 UTC
Closing - RHEV 3.3 Released

Comment 6 Itamar Heim 2014-01-21 22:33:13 UTC
Closing - RHEV 3.3 Released


Note You need to log in before you can comment on or make changes to this bug.